Subject: Re: bug#36598: 26.1; (error "‘/tmp/emacs1000’ is not a safe directory because it is a symlink")

From: Noam Postavsky <[email-masked]>
Date: Tue, 23 Jul 2019 08:07:08 -0400

tags 36598 fixed
close 36598 
quit

Eli Zaretskii <[email-masked]> writes:

>> >> Commit b663c837249 (in May) which says "Cosmetic changes" is the one
>> >> that introduced this code?

>> >> And instead of making things work with an old emacsclient, it breaks the
>> >> Emacs 26 emacsclient?
>> >
>> > Nearly. I think it breaks emacs-26 not the emacsclient. I haven't check the
>> > emacsclient code, but I guess Stefan was
>> > aiming for the situation when someone is using (say) emacsclient-26 with
>> > emacs-27.
>> 
>> Indeed (it's Debian/s /usr/bin/emacsclient accessing my hand-built
>> Emacs-27 server).
>> 
>> >> Stefan, was this checked in by mistake?
>> 
>> Definitely,
>
> If this mistake adversely affects the release branch, please revert
> that commit.  We will have RC1 soon.

It has been reverted, closing the bug.

8a2f763e5c 2019-07-18T11:10:05-04:00 "* lisp/server.el (server-ensure-safe-dir): Revert part of b663c8372495"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=8a2f763e5cc0ed5b5eecd6a315ac45310bc7a2dd